#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		_delta		_2024-10-09_e7c3feb100
#-----------------------------------------------------------------------------
Name		:	inkscape
Version		:	1.4
Release		:	17.2.0.rel%{?dist}
Summary		:	A what you see is what you get Scalable Vector Graphics editor.
Group		:	System Environment/Daemons

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	https://inkscape.org/release/all/source/archive/xz/

Source0		:	%{name}-%{version}.tar.xz
#-----------------------------------------------------------------------------
BuildRequires	:	boost
BuildRequires	:	double-conversion-devel
BuildRequires	:	gc-devel
BuildRequires	:	gdl-devel
BuildRequires	:	gsl-devel
BuildRequires	:	gspell
BuildRequires	:	gtest-devel
BuildRequires	:	gtkmm30-devel
BuildRequires	:	lib2geom-devel
BuildRequires	:	ImageMagick-devel
BuildRequires	:	libsoup2
BuildRequires	:	libxslt
BuildRequires	:	libXdmcp
BuildRequires	:	lcms2
BuildRequires	:	poppler	>= 22.04.0
BuildRequires	:	popt
BuildRequires	:	potrace-devel
BuildRequires	:	wget

Requires(post)	:	%{_bindir}/gtk-update-icon-cache
Requires(post)	:	%{_bindir}/update-desktop-database
#-----------------------------------------------------------------------------
%description
Inkscape is an open source drawing tool with capabilities similar to
Illustrator, Freehand, and CorelDraw that uses the W3C standard scalable
vector graphics  format (SVG). Some supported SVG features include
basic shapes, paths, text, markers, clones, alpha blending, transforms,
gradients, and grouping. In addition, Inkscape supports Creative Commons
meta-data, node-editing, layers, complex path operations, text-on-path,
and SVG XML editing. It also imports several formats like EPS, Postscript,
JPEG, PNG, BMP, and TIFF and exports PNG as well as multiple vector-based
formats.

Inkscape's main motivations are to provide the Open Source community
with a fully W3C compliant XML, SVG, and CSS2 drawing tool emphasizing a
lightweight core with powerful features added as extensions, and the
establishment of a friendly, open, community-oriented development
processes.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS.md README.md
%{_bindir}/%{name}
%{_bindir}/inkview
%{_includedir}/2geom*/2geom/*.h
%{_includedir}/2geom*/2geom/intervaltree/*.h
%{_includedir}/2geom*/2geom/numeric/*.h
%{_includedir}/2geom*/2geom/orphan-code/*.h
%{_includedir}/2geom*/2geom/symbolic/*.h
%{_libdir}/%{name}/lib%{name}_base.so
%{_libdir}/%{name}/lib%{name}_base.so.%{version}*
%{_libdir}/lib2geom.so*
%{_libdir}/cmake/2Geom/2Geom*.cmake
%{_libdir}/pkgconfig/2geom.pc
%{_datadir}/applications/org.%{name}.*.desktop
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/%{name}/attributes/css_defaults
%{_datadir}/%{name}/attributes/cssprops
%{_datadir}/%{name}/attributes/svgprops
%{_datadir}/%{name}/examples/istest.pov
%{_datadir}/%{name}/keys/*.xml
%{_datadir}/%{name}/*/*.{conf,obj,inx,jpg,js,png,rng,pl,py,sh,rb,svg,svgz,xsl,xslt}
%{_datadir}/%{name}/*/*/*.{conf,obj,pl,py,rb,rng,svg,xsl,xslt}
%{_datadir}/%{name}/palettes/*.gpl
%{_datadir}/%{name}/extensions/LICENSE.txt
%{_datadir}/%{name}/extensions/colors.xml
%{_datadir}/%{name}/extensions/docs/tutorial/*
%{_datadir}/%{name}/extensions/docs/_templates/versions.html
%{_datadir}/%{name}/extensions/docs/authors/*.rst
%{_datadir}/%{name}/extensions/docs/authors/samples/*.svg
%{_datadir}/%{name}/extensions/docs/authors/samples/Comparison_of_Lighter_extension_in_Inkscape_1.1.2_and_1.2.png
%{_datadir}/%{name}/extensions/docs/authors/widgets/*.png
%{_datadir}/%{name}/extensions/docs/dev/*.rst
%{_datadir}/%{name}/extensions/docs/extensions/*.rst
%{_datadir}/%{name}/extensions/docs/index.rst
%{_datadir}/%{name}/extensions/docs/source/index.rst
%{_datadir}/%{name}/extensions/dxf14_*.txt
%{_datadir}/%{name}/extensions/inkex/css/
%{_datadir}/%{name}/extensions/inkex/deprecated/*.py
%{_datadir}/%{name}/extensions/inkex/deprecated-simple/*.py
%{_datadir}/%{name}/extensions/inkex/deprecated-simple/README.rst
%{_datadir}/%{name}/extensions/inkex/elements/*.py
%{_datadir}/%{name}/extensions/inkex/gui/*.py
%{_datadir}/%{name}/extensions/inkex/paths/*.py
%{_datadir}/%{name}/extensions/inkex/interfaces/*.py
%{_datadir}/%{name}/extensions/inkex/tester/*.py
%{_datadir}/%{name}/extensions/inkex/tester/%{name}.extension.*
%{_datadir}/%{name}/extensions/inkman/inkman/LICENSE.txt
%{_datadir}/%{name}/extensions/inkman/inkman/tox.ini
%{_datadir}/%{name}/extensions/inkman/inkman/inkman/*.py
%{_datadir}/%{name}/extensions/inkman/inkman/inkman/data/__init__.py
%{_datadir}/%{name}/extensions/inkman/inkman/inkman/data/*.ui
%{_datadir}/%{name}/extensions/inkman/inkman/inkman/data/package.json
%{_datadir}/%{name}/extensions/inkman/inkman/inkman/data/pixmaps/__init__.py
%{_datadir}/%{name}/extensions/inkman/inkman/inkman/data/pixmaps/*.{png,svg}
%{_datadir}/%{name}/extensions/inkman/inkman/inkman/gui/*.py
%{_datadir}/%{name}/extensions/inkman/inkman/manage_extensions.*
%{_datadir}/%{name}/extensions/other/clipart/LICENSE.txt
%{_datadir}/%{name}/extensions/other/clipart/import_sources.py
%{_datadir}/%{name}/extensions/other/clipart/import_web_image.*
%{_datadir}/%{name}/extensions/other/clipart/import_web_image_cli.py
%{_datadir}/%{name}/extensions/other/clipart/licenses/*
%{_datadir}/%{name}/extensions/other/clipart/sources/*
%{_datadir}/%{name}/extensions/other/extension-xaml/
%{_datadir}/%{name}/extensions/other/extension-afdesign/
%{_datadir}/%{name}/extensions/other/gcodetools/*
%{_datadir}/%{name}/extensions/other/templates/icons/*.svg
%{_datadir}/%{name}/extensions/other/templates/shape_prefab_*
%{_datadir}/%{name}/extensions/other/templates/template_shape_prefab.*
%{_datadir}/%{name}/extensions/svg_fonts/OFL.txt
%{_datadir}/%{name}/icons/Dash/symbolic/actions/*.svg
%{_datadir}/%{name}/icons/Dash/cursors/cursors.css
%{_datadir}/%{name}/icons/Dash/cursors/*.svg
%{_datadir}/%{name}/icons/Dash/highlights.css
%{_datadir}/%{name}/icons/Dash/index.theme
%{_datadir}/%{name}/icons/Tango/index.theme
%{_datadir}/%{name}/icons/Tango/scalable/actions/*.svg
%{_datadir}/%{name}/icons/hicolor/index.theme
%{_datadir}/%{name}/icons/hicolor/cursors/*.svg
%{_datadir}/%{name}/icons/hicolor/cursors/cursors.css
%{_datadir}/%{name}/icons/hicolor/scalable/actions/*.svg
%{_datadir}/%{name}/icons/hicolor/symbolic/actions/*.svg
%{_datadir}/%{name}/icons/multicolor/cursors/*.svg
%{_datadir}/%{name}/icons/multicolor/cursors/cursors.css
%{_datadir}/%{name}/icons/multicolor/highlights.css
%{_datadir}/%{name}/icons/multicolor/index.theme
%{_datadir}/%{name}/icons/multicolor/symbolic/actions/*.svg
%{_datadir}/icons/hicolor/symbolic/apps/*.svg
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_datadir}/%{name}/screens/about/about00.svgz
%{_datadir}/%{name}/themes/LICENSE.txt
%{_datadir}/%{name}/themes/Minwaita-Inkscape/gtk-3.0/assets/*.png
%{_datadir}/%{name}/themes/Minwaita-Inkscape/gtk-3.0/assets/window-buttons/*.png
%{_datadir}/%{name}/themes/Minwaita-Inkscape/gtk-3.0/gtk*.css
%{_datadir}/%{name}/ui/default-dialog-state.ini
%{_datadir}/%{name}/ui/*.css
%{_datadir}/%{name}/ui/*.glade
%{_datadir}/%{name}/ui/syntax-themes/syntax-theme-*.xml
%{_datadir}/%{name}/ui/units.xml
%{_datadir}/%{name}/ui/*.ui
%{_datadir}/%{name}/ui/resources/*.png
%{_datadir}/%{name}/ui/inline-css.lang
%{_datadir}/%{name}/ui/svg*.lang
%{_datadir}/metainfo/org.%{name}.*.appdata.xml
%{_mandir}/man1/ink*.1.gz
%{_mandir}/*/man1/ink*.1.gz

#-----------------------------------------------------------------------------
%postun
if [ "$1" = 0 ]; then
  mkdir -p %{_datadir}/icons/hicolor > /dev/null 2>&1
  %{_bindir}/update-desktop-database > /dev/null 2>&1
  %{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor > /dev/null 2>&1
  fi
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig
%{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor > /dev/null 2>&1
%{_bindir}/update-desktop-database > /dev/null 2>&1

#=============================================================================
%prep
%setup -q -n %{name}-%{version}%{_delta}

#sed -i							\
#  -e '/uri.h/a #include <libxml/xmlmemory.h>'		\
#  src/object/uri.h

#-----------------------------------------------------------------------------
#building application
%build

cmake							\
	-S .						\
	-B _bld						\
	-DCMAKE_INSTALL_PREFIX=%{_prefix}		\
	-DCMAKE_BUILD_TYPE=Release			\
	-DENABLE_POPPLER=ON				\
	-DENABLE_BINRELOC=ON				\

cmake							\
	--build _bld					\
	--parallel %(/usr/bin/getconf _NPROCESSORS_ONLN)

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	-C _bld						\
	DESTDIR=%{buildroot}				\
	install


#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.a					\
	-delete

#to remove extra doc
%{__rm} -rf %{buildroot}%{_datadir}/%{name}/doc	

%find_lang %{name}

#-----------------------------------------------------------------------------
%changelog
